package com.hrsk.cloud.eg.constant;

/**
 * @author zhangyy
 * @version 1.0
 * @description: GlobalDataStatus 全局数据标识是否有效的数据
 * @date 2024/8/28 14:05
 */
public enum GlobalDataStatusEnum {
    YES("Y","有效"),
    NO("N","无效");
    private String code;
    private String msg;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

     GlobalDataStatusEnum (String code,String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static GlobalDataStatusEnum getByCode(String code) {
        for (GlobalDataStatusEnum dataStatus : values()) {
            if (dataStatus.getCode().equals(code)) {
                return dataStatus;
            }
        }
        return null;
    }

}
